.header-left,
.header-right {
  flex: 1;
}
.header-right {
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.header-right .button-list {
  width: fit-content;
  margin: 0 0 0 16px;
  gap: 16px;
}

[dir="rtl"] .header-right .button-list {
  margin: 0 16px 0 0;
}

.header-main.logo-left .header-left {
  order: 2;
  flex: 1;
}
.header-main.logo-left .header-center {
  order: 1;
  flex: none;
}
.header-main.logo-left .header-right {
  order: 3;
  flex: none;
}

.header-main .mobile-menu-btn {
  display: none;
}

@media (max-width: 1024px) {
  .header-left .nav-list {
    display: none;
  }
  .header-left .mobile-menu-btn {
    display: inline;
  }

  .header-right .button-list,
  .header-right .social-medias,
  .header-right .social-medias-line {
    display: none;
  }

  .header-main.logo-left .header-main-content {
    column-gap: 12px;
  }
  .header-main.logo-left .header-left {
    order: 3;
    flex: none;
  }
  .header-main.logo-left .header-center {
    order: 1;
    flex: none;
  }
  .header-main.logo-left .header-right {
    order: 2;
    flex: 1;
  }
  .header-main.logo-center .header-right .line-vertical:last-of-type {
    display: none;
  }
}

@media (max-width: 767px) {
  .header-main.logo-left .header-main-content {
    column-gap: 16px;
  }
  .header-main .logo {
    height: var(--logo-mobile-height);
  }
}